Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class EvictVisitor

    java.lang.Object
      org.hibernate.event.internal.AbstractVisitor
          org.hibernate.event.internal.EvictVisitor

    public class EvictVisitor

extends AbstractVisitor

Evict any collections referenced by the object from the session cache. This will NOT pick up any collections that were dereferenced, so they will be deleted (suboptimal but not exactly incorrect).

Method Summary
`void` | `evictCollection(Object value, CollectionType type)`

Methods inherited from class org.hibernate.event.internal.AbstractVisitor
`processEntityPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evictCollection

    public void evictCollection(Object value,
                                CollectionType type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.